<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../GameMain.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="../GameMain.html" title="class in Unnamed Package">GameMain</a></dt>
<dd>
<div class="block">la méthode main</div>
</dd>
<dt><a href="../Game.html#markPiece(int,int)" class="member-name-link">markPiece(int, int)</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">définit la pièce marqué comme étant celui aux coordonnées passées et le retourne</div>
</dd>
<dt><a href="../GamePanel.html#mouseClicked(java.awt.event.MouseEvent)" class="member-name-link">mouseClicked(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#mouseDragged(java.awt.event.MouseEvent)" class="member-name-link">mouseDragged(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#mouseEntered(java.awt.event.MouseEvent)" class="member-name-link">mouseEntered(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#mouseExited(java.awt.event.MouseEvent)" class="member-name-link">mouseExited(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#mouseMoved(java.awt.event.MouseEvent)" class="member-name-link">mouseMoved(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>
<div class="block">mouse movement listener</div>
</dd>
<dt><a href="../GamePanel.html#mousePressed(java.awt.event.MouseEvent)" class="member-name-link">mousePressed(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../GamePanel.html#mouseReleased(java.awt.event.MouseEvent)" class="member-name-link">mouseReleased(MouseEvent)</a> - Method in class <a href="../GamePanel.html" title="class in Unnamed Package">GamePanel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Game.html#movePiece(int,int)" class="member-name-link">movePiece(int, int)</a> - Method in class <a href="../Game.html" title="class in Unnamed Package">Game</a></dt>
<dd>
<div class="block">déplace la pièce marquée aux coordonnées passées</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
